org.apache.lucene.util.fst

## Class FSTTester.InputOutput<T>

- java.lang.Object
- - org.apache.lucene.util.fst.FSTTester.InputOutput<T>

All Implemented Interfaces:
  Comparable<FSTTester.InputOutput<T>>

Enclosing class:
  FSTTester<T>

    public static class FSTTester.InputOutput<T>
    extends Object
    implements Comparable<FSTTester.InputOutput<T>>

Holds one input/output pair.

### Field Summary

Fields
`IntsRef` `input`
`T` `output`

### Constructor Summary

Constructors
Constructor and Description
`InputOutput(IntsRef input, T output)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(FSTTester.InputOutput<T> other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### input

    public final IntsRef input

#### output

    public final T output

### Constructor Detail

#### InputOutput

    public InputOutput(IntsRef input,
                       T output)

### Method Detail

#### compareTo

    public int compareTo(FSTTester.InputOutput<T> other)

Specified by:
  `compareTo` in interface `Comparable<FSTTester.InputOutput<T>>`